
// Read the switches routing for Euclidian math



// SELECT ACTIVE CHANNEL

//	Knobs on Syinsi PCB (from top to bottom) are Length, Density, Offset.
void E_read_switches()
{
  if (channel_switch != 3) {
    active_channel = channel_switch;
    // --------------------------Active Channel display----------------------

    lc.setRow(0, 6, false); //clear row 7
    //lc.setLed(0, 6, 5 - (active_channel * 2), true);
    //lc.setLed(0, 6, 5 - (active_channel * 2) - 1, true);
    if (active_channel == 0)
    {
      lc.setRow(0, 6, B00001111);
    }
    if (active_channel == 1)
    {
      lc.setRow(0, 6, B00111100);
    }
    if (active_channel == 2)
    {
      lc.setRow(0, 6, B11110000);
    }
  }

  // -------------- test for long press of any switch in euclidian mode---------------------

  // switch pressed - start timing it

  if (channel_switch != 3 && old_channel_switch == 3) {
    long_press = time;
  }

  // switch held - how long

  if (channel_switch != 3 && old_channel_switch != 3) {

    if (time - long_press > 2000) {
      switch (channel_switch + 1) {
        case 1:
          MIDI_Mode = 2;      // long press turns on MIDI update mode
          break;
        case 2:
          M_displayDelay = displayDelay;
          MIDI_Mode = 4;
          break;
        case 3:
          Previous_Mode = MIDI_Mode;  //store the mode leaving
          MIDI_Mode = 3;              // long press turns of Save/Recall mode
          lc.setRow(0, 7, B11011011);
          M_displayDelay = 2;         // lock bottom row update off from beat display
          Preset_number = 1;
          Preset_offset = (Preset_number * Preset_size) + 1;
          dots_octave = B11011011;                       //set row 8 to preset function warning
          dots = Preset_number;
          barGraph();                                    //Display preset number on row 7 solid line on 8
          break;
      }
      long_press = time;
      lc.setRow(0, 6, false); //clear row 7
    }
  }
  old_channel_switch = channel_switch;                    // store state this loop to compare next time

  //if (channel_switch == 3 && old_channel_switch == 3) {
  //  long_press = time;
  // }
}

// END
